Subject: Re: How to count tx and rx bytes?

From: Rask Ingemann Lambertsen <[email-masked]>
Date: Tue, 16 Dec 2003 14:38:16 +0100

On Mon, Dec 15, 2003 at 12:03:58PM -0800, Ben Greear wrote:
> 
> Is there an agreed upon standard for exactly what ethernet drivers
> should be counting for rx-bytes and tx-bytes?  For example, should the
> counters include the 4-byte FCS?  Should they include the ethernet header?

Should they include the frame padding in tx-bytes? Some do, some don't.
IMHO they should, because you do actually transmit those bytes on the wire.

-- 
Regards,
Rask Ingemann Lambertsen